IRremoteESP8266

Public Attributes | List of all members
HaierAc160Protocol Union Reference

Native representation of a Haier 160 bit A/C message. More...

`#include <ir_Haier.h>`

## Public Attributes
uint8_t | raw [kHaierAC160StateLength]
| The state in native form. More...
struct {
uint8_t Model:8
uint8_t SwingV:4
uint8_t Temp:4
uint8_t __pad0__:5
uint8_t SwingH:3
uint8_t __pad1__:1
uint8_t Health:1
uint8_t __pad2__:3
uint8_t TimerMode:3
uint8_t __pad3__:6
uint8_t Power:1
uint8_t AuxHeating:1
uint8_t OffTimerHrs:5
uint8_t Fan:3
uint8_t OffTimerMins:6
uint8_t Turbo:1
uint8_t Quiet:1
uint8_t OnTimerHrs:5
uint8_t Mode:3
uint8_t OnTimerMins:6
uint8_t __pad4__:1
uint8_t Sleep:1
uint8_t __pad5__:8
uint8_t ExtraDegreeF:1
uint8_t __pad6__:3
uint8_t Clean:1
uint8_t UseFahrenheit:1
uint8_t __pad7__:2
uint8_t __pad8__:8
uint8_t Button:5
uint8_t Lock:1
uint8_t __pad9__:2
uint8_t Sum:8
uint8_t Prefix:8
uint8_t __pad10__:6
uint8_t Clean2:1
uint8_t __pad11__:1
uint8_t __pad12__:5
uint8_t Fan2:3
uint8_t __pad13__:8
uint8_t __pad14__:8
uint8_t Sum2:8
}; |

## Detailed Description

Native representation of a Haier 160 bit A/C message.

## Member Data Documentation

## ◆ @59

struct { ... }

## ◆ __pad0__

uint8_t HaierAc160Protocol::__pad0__

## ◆ __pad10__

uint8_t HaierAc160Protocol::__pad10__

## ◆ __pad11__

uint8_t HaierAc160Protocol::__pad11__

## ◆ __pad12__

uint8_t HaierAc160Protocol::__pad12__

## ◆ __pad13__

uint8_t HaierAc160Protocol::__pad13__

## ◆ __pad14__

uint8_t HaierAc160Protocol::__pad14__

## ◆ __pad1__

uint8_t HaierAc160Protocol::__pad1__

## ◆ __pad2__

uint8_t HaierAc160Protocol::__pad2__

## ◆ __pad3__

uint8_t HaierAc160Protocol::__pad3__

## ◆ __pad4__

uint8_t HaierAc160Protocol::__pad4__

## ◆ __pad5__

uint8_t HaierAc160Protocol::__pad5__

## ◆ __pad6__

uint8_t HaierAc160Protocol::__pad6__

## ◆ __pad7__

uint8_t HaierAc160Protocol::__pad7__

## ◆ __pad8__

uint8_t HaierAc160Protocol::__pad8__

## ◆ __pad9__

uint8_t HaierAc160Protocol::__pad9__

## ◆ AuxHeating

uint8_t HaierAc160Protocol::AuxHeating

## ◆ Button

uint8_t HaierAc160Protocol::Button

## ◆ Clean

uint8_t HaierAc160Protocol::Clean

## ◆ Clean2

uint8_t HaierAc160Protocol::Clean2

## ◆ ExtraDegreeF

uint8_t HaierAc160Protocol::ExtraDegreeF

## ◆ Fan

uint8_t HaierAc160Protocol::Fan

## ◆ Fan2

uint8_t HaierAc160Protocol::Fan2

## ◆ Health

uint8_t HaierAc160Protocol::Health

## ◆ Lock

uint8_t HaierAc160Protocol::Lock

## ◆ Mode

uint8_t HaierAc160Protocol::Mode

## ◆ Model

uint8_t HaierAc160Protocol::Model

## ◆ OffTimerHrs

uint8_t HaierAc160Protocol::OffTimerHrs

## ◆ OffTimerMins

uint8_t HaierAc160Protocol::OffTimerMins

## ◆ OnTimerHrs

uint8_t HaierAc160Protocol::OnTimerHrs

## ◆ OnTimerMins

uint8_t HaierAc160Protocol::OnTimerMins

## ◆ Power

uint8_t HaierAc160Protocol::Power

## ◆ Prefix

uint8_t HaierAc160Protocol::Prefix

## ◆ Quiet

uint8_t HaierAc160Protocol::Quiet

## ◆ raw

uint8_t HaierAc160Protocol::raw[kHaierAC160StateLength]

The state in native form.

## ◆ Sleep

uint8_t HaierAc160Protocol::Sleep

## ◆ Sum

uint8_t HaierAc160Protocol::Sum

## ◆ Sum2

uint8_t HaierAc160Protocol::Sum2

## ◆ SwingH

uint8_t HaierAc160Protocol::SwingH

## ◆ SwingV

uint8_t HaierAc160Protocol::SwingV

## ◆ Temp

uint8_t HaierAc160Protocol::Temp

## ◆ TimerMode

uint8_t HaierAc160Protocol::TimerMode

## ◆ Turbo

uint8_t HaierAc160Protocol::Turbo

## ◆ UseFahrenheit

uint8_t HaierAc160Protocol::UseFahrenheit

The documentation for this union was generated from the following file:

- src/ir_Haier.h